<?php
$tdatapayment_for_purchasing = array();
$tdatapayment_for_purchasing[".searchableFields"] = array();
$tdatapayment_for_purchasing[".ShortName"] = "payment_for_purchasing";
$tdatapayment_for_purchasing[".OwnerID"] = "";
$tdatapayment_for_purchasing[".OriginalTable"] = "payment_for_pur";


$tdatapayment_for_purchasing[".pagesByType"] = my_json_decode( "{\"list\":[\"list\",\"list1\"],\"search\":[\"search\"]}" );
$tdatapayment_for_purchasing[".originalPagesByType"] = $tdatapayment_for_purchasing[".pagesByType"];
$tdatapayment_for_purchasing[".pages"] = types2pages( my_json_decode( "{\"list\":[\"list\",\"list1\"],\"search\":[\"search\"]}" ) );
$tdatapayment_for_purchasing[".originalPages"] = $tdatapayment_for_purchasing[".pages"];
$tdatapayment_for_purchasing[".defaultPages"] = my_json_decode( "{\"list\":\"list\",\"search\":\"search\"}" );
$tdatapayment_for_purchasing[".originalDefaultPages"] = $tdatapayment_for_purchasing[".defaultPages"];

//	field labels
$fieldLabelspayment_for_purchasing = array();
$fieldToolTipspayment_for_purchasing = array();
$pageTitlespayment_for_purchasing = array();
$placeHolderspayment_for_purchasing = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelspayment_for_purchasing["English"] = array();
	$fieldToolTipspayment_for_purchasing["English"] = array();
	$placeHolderspayment_for_purchasing["English"] = array();
	$pageTitlespayment_for_purchasing["English"] = array();
	$fieldLabelspayment_for_purchasing["English"]["id"] = "Id";
	$fieldToolTipspayment_for_purchasing["English"]["id"] = "";
	$placeHolderspayment_for_purchasing["English"]["id"] = "";
	$fieldLabelspayment_for_purchasing["English"]["pur_id"] = "Pur Id";
	$fieldToolTipspayment_for_purchasing["English"]["pur_id"] = "";
	$placeHolderspayment_for_purchasing["English"]["pur_id"] = "";
	$fieldLabelspayment_for_purchasing["English"]["amount"] = "Amount";
	$fieldToolTipspayment_for_purchasing["English"]["amount"] = "";
	$placeHolderspayment_for_purchasing["English"]["amount"] = "";
	$fieldLabelspayment_for_purchasing["English"]["payment_type"] = "Payment Type";
	$fieldToolTipspayment_for_purchasing["English"]["payment_type"] = "";
	$placeHolderspayment_for_purchasing["English"]["payment_type"] = "";
	$fieldLabelspayment_for_purchasing["English"]["cheque_number"] = "Cheque Number";
	$fieldToolTipspayment_for_purchasing["English"]["cheque_number"] = "";
	$placeHolderspayment_for_purchasing["English"]["cheque_number"] = "";
	$fieldLabelspayment_for_purchasing["English"]["cheque_date"] = "Cheque Date";
	$fieldToolTipspayment_for_purchasing["English"]["cheque_date"] = "";
	$placeHolderspayment_for_purchasing["English"]["cheque_date"] = "";
	$fieldLabelspayment_for_purchasing["English"]["date_time"] = "Date Time";
	$fieldToolTipspayment_for_purchasing["English"]["date_time"] = "";
	$placeHolderspayment_for_purchasing["English"]["date_time"] = "";
	$fieldLabelspayment_for_purchasing["English"]["outlet_code"] = "Outlet Code";
	$fieldToolTipspayment_for_purchasing["English"]["outlet_code"] = "";
	$placeHolderspayment_for_purchasing["English"]["outlet_code"] = "";
	$fieldLabelspayment_for_purchasing["English"]["branch_code"] = "Branch Code";
	$fieldToolTipspayment_for_purchasing["English"]["branch_code"] = "";
	$placeHolderspayment_for_purchasing["English"]["branch_code"] = "";
	$fieldLabelspayment_for_purchasing["English"]["user"] = "User";
	$fieldToolTipspayment_for_purchasing["English"]["user"] = "";
	$placeHolderspayment_for_purchasing["English"]["user"] = "";
	$fieldLabelspayment_for_purchasing["English"]["details"] = "Details";
	$fieldToolTipspayment_for_purchasing["English"]["details"] = "";
	$placeHolderspayment_for_purchasing["English"]["details"] = "";
	$fieldLabelspayment_for_purchasing["English"]["should_pay"] = "Should Pay";
	$fieldToolTipspayment_for_purchasing["English"]["should_pay"] = "";
	$placeHolderspayment_for_purchasing["English"]["should_pay"] = "";
	$fieldLabelspayment_for_purchasing["English"]["expen_code"] = "Expen Code";
	$fieldToolTipspayment_for_purchasing["English"]["expen_code"] = "";
	$placeHolderspayment_for_purchasing["English"]["expen_code"] = "";
	$fieldLabelspayment_for_purchasing["English"]["salary_advance"] = "Salary Advance";
	$fieldToolTipspayment_for_purchasing["English"]["salary_advance"] = "";
	$placeHolderspayment_for_purchasing["English"]["salary_advance"] = "";
	$fieldLabelspayment_for_purchasing["English"]["salary"] = "Salary";
	$fieldToolTipspayment_for_purchasing["English"]["salary"] = "";
	$placeHolderspayment_for_purchasing["English"]["salary"] = "";
	$fieldLabelspayment_for_purchasing["English"]["acc_no"] = "Acc No";
	$fieldToolTipspayment_for_purchasing["English"]["acc_no"] = "";
	$placeHolderspayment_for_purchasing["English"]["acc_no"] = "";
	$fieldLabelspayment_for_purchasing["English"]["loan_no"] = "Loan No";
	$fieldToolTipspayment_for_purchasing["English"]["loan_no"] = "";
	$placeHolderspayment_for_purchasing["English"]["loan_no"] = "";
	if (count($fieldToolTipspayment_for_purchasing["English"]))
		$tdatapayment_for_purchasing[".isUseToolTips"] = true;
}


	$tdatapayment_for_purchasing[".NCSearch"] = true;



$tdatapayment_for_purchasing[".shortTableName"] = "payment_for_purchasing";
$tdatapayment_for_purchasing[".nSecOptions"] = 0;

$tdatapayment_for_purchasing[".mainTableOwnerID"] = "";
$tdatapayment_for_purchasing[".entityType"] = 1;
$tdatapayment_for_purchasing[".connId"] = "test2_at_localhost";


$tdatapayment_for_purchasing[".strOriginalTableName"] = "payment_for_pur";

	



$tdatapayment_for_purchasing[".showAddInPopup"] = false;

$tdatapayment_for_purchasing[".showEditInPopup"] = false;

$tdatapayment_for_purchasing[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatapayment_for_purchasing[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatapayment_for_purchasing[".listAjax"] = false;
//	temporary
$tdatapayment_for_purchasing[".listAjax"] = false;

	$tdatapayment_for_purchasing[".audit"] = true;

	$tdatapayment_for_purchasing[".locking"] = false;


$pages = $tdatapayment_for_purchasing[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapayment_for_purchasing[".edit"] = true;
	$tdatapayment_for_purchasing[".afterEditAction"] = 1;
	$tdatapayment_for_purchasing[".closePopupAfterEdit"] = 1;
	$tdatapayment_for_purchasing[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapayment_for_purchasing[".add"] = true;
$tdatapayment_for_purchasing[".afterAddAction"] = 1;
$tdatapayment_for_purchasing[".closePopupAfterAdd"] = 1;
$tdatapayment_for_purchasing[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapayment_for_purchasing[".list"] = true;
}



$tdatapayment_for_purchasing[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapayment_for_purchasing[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapayment_for_purchasing[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapayment_for_purchasing[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapayment_for_purchasing[".printFriendly"] = true;
}



$tdatapayment_for_purchasing[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapayment_for_purchasing[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapayment_for_purchasing[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapayment_for_purchasing[".isUseAjaxSuggest"] = true;

$tdatapayment_for_purchasing[".rowHighlite"] = true;



																																																			

$tdatapayment_for_purchasing[".ajaxCodeSnippetAdded"] = false;

$tdatapayment_for_purchasing[".buttonsAdded"] = false;

$tdatapayment_for_purchasing[".addPageEvents"] = false;

// use timepicker for search panel
$tdatapayment_for_purchasing[".isUseTimeForSearch"] = false;


$tdatapayment_for_purchasing[".badgeColor"] = "db7093";


$tdatapayment_for_purchasing[".allSearchFields"] = array();
$tdatapayment_for_purchasing[".filterFields"] = array();
$tdatapayment_for_purchasing[".requiredSearchFields"] = array();

$tdatapayment_for_purchasing[".googleLikeFields"] = array();
$tdatapayment_for_purchasing[".googleLikeFields"][] = "id";
$tdatapayment_for_purchasing[".googleLikeFields"][] = "pur_id";
$tdatapayment_for_purchasing[".googleLikeFields"][] = "amount";
$tdatapayment_for_purchasing[".googleLikeFields"][] = "payment_type";
$tdatapayment_for_purchasing[".googleLikeFields"][] = "cheque_number";
$tdatapayment_for_purchasing[".googleLikeFields"][] = "cheque_date";
$tdatapayment_for_purchasing[".googleLikeFields"][] = "date_time";
$tdatapayment_for_purchasing[".googleLikeFields"][] = "outlet_code";
$tdatapayment_for_purchasing[".googleLikeFields"][] = "branch_code";
$tdatapayment_for_purchasing[".googleLikeFields"][] = "user";
$tdatapayment_for_purchasing[".googleLikeFields"][] = "details";
$tdatapayment_for_purchasing[".googleLikeFields"][] = "should_pay";
$tdatapayment_for_purchasing[".googleLikeFields"][] = "expen_code";
$tdatapayment_for_purchasing[".googleLikeFields"][] = "salary_advance";
$tdatapayment_for_purchasing[".googleLikeFields"][] = "salary";
$tdatapayment_for_purchasing[".googleLikeFields"][] = "acc_no";
$tdatapayment_for_purchasing[".googleLikeFields"][] = "loan_no";



$tdatapayment_for_purchasing[".tableType"] = "list";

$tdatapayment_for_purchasing[".printerPageOrientation"] = 0;
$tdatapayment_for_purchasing[".nPrinterPageScale"] = 100;

$tdatapayment_for_purchasing[".nPrinterSplitRecords"] = 40;

$tdatapayment_for_purchasing[".geocodingEnabled"] = false;










$tdatapayment_for_purchasing[".pageSize"] = 20;

$tdatapayment_for_purchasing[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatapayment_for_purchasing[".strOrderBy"] = $tstrOrderBy;

$tdatapayment_for_purchasing[".orderindexes"] = array();


$tdatapayment_for_purchasing[".sqlHead"] = "SELECT id,  	pur_id,  	amount,  	payment_type,  	cheque_number,  	cheque_date,  	date_time,  	outlet_code,  	branch_code,  	`user`,  	details,  	should_pay,  	expen_code,  	salary_advance,  	salary,  	acc_no,  	loan_no";
$tdatapayment_for_purchasing[".sqlFrom"] = "FROM payment_for_pur";
$tdatapayment_for_purchasing[".sqlWhereExpr"] = "";
$tdatapayment_for_purchasing[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapayment_for_purchasing[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapayment_for_purchasing[".arrGroupsPerPage"] = $arrGPP;

$tdatapayment_for_purchasing[".highlightSearchResults"] = true;

$tableKeyspayment_for_purchasing = array();
$tableKeyspayment_for_purchasing[] = "id";
$tdatapayment_for_purchasing[".Keys"] = $tableKeyspayment_for_purchasing;


$tdatapayment_for_purchasing[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_for_purchasing","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_for_purchasing["id"] = $fdata;
		$tdatapayment_for_purchasing[".searchableFields"][] = "id";
//	pur_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "pur_id";
	$fdata["GoodName"] = "pur_id";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_for_purchasing","pur_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "pur_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pur_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_for_purchasing["pur_id"] = $fdata;
		$tdatapayment_for_purchasing[".searchableFields"][] = "pur_id";
//	amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "amount";
	$fdata["GoodName"] = "amount";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_for_purchasing","amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_for_purchasing["amount"] = $fdata;
		$tdatapayment_for_purchasing[".searchableFields"][] = "amount";
//	payment_type
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "payment_type";
	$fdata["GoodName"] = "payment_type";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_for_purchasing","payment_type");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "payment_type";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "payment_type";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 4;

		$edata["HorizontalLookup"] = true;

	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Cash";
	$edata["LookupValues"][] = "Cheque";

	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_for_purchasing["payment_type"] = $fdata;
		$tdatapayment_for_purchasing[".searchableFields"][] = "payment_type";
//	cheque_number
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "cheque_number";
	$fdata["GoodName"] = "cheque_number";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_for_purchasing","cheque_number");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cheque_number";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cheque_number";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "cheque_register4pay";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "cheque_number";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "cheque_number";

				$edata["LookupWhereCode"] = true;


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_for_purchasing["cheque_number"] = $fdata;
		$tdatapayment_for_purchasing[".searchableFields"][] = "cheque_number";
//	cheque_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "cheque_date";
	$fdata["GoodName"] = "cheque_date";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_for_purchasing","cheque_date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "cheque_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cheque_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_for_purchasing["cheque_date"] = $fdata;
		$tdatapayment_for_purchasing[".searchableFields"][] = "cheque_date";
//	date_time
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "date_time";
	$fdata["GoodName"] = "date_time";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_for_purchasing","date_time");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "date_time";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "date_time";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_for_purchasing["date_time"] = $fdata;
		$tdatapayment_for_purchasing[".searchableFields"][] = "date_time";
//	outlet_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "outlet_code";
	$fdata["GoodName"] = "outlet_code";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_for_purchasing","outlet_code");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "outlet_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "outlet_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_for_purchasing["outlet_code"] = $fdata;
		$tdatapayment_for_purchasing[".searchableFields"][] = "outlet_code";
//	branch_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "branch_code";
	$fdata["GoodName"] = "branch_code";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_for_purchasing","branch_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "branch_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "branch_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_for_purchasing["branch_code"] = $fdata;
		$tdatapayment_for_purchasing[".searchableFields"][] = "branch_code";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_for_purchasing","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_for_purchasing["user"] = $fdata;
		$tdatapayment_for_purchasing[".searchableFields"][] = "user";
//	details
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "details";
	$fdata["GoodName"] = "details";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_for_purchasing","details");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "details";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "details";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_for_purchasing["details"] = $fdata;
		$tdatapayment_for_purchasing[".searchableFields"][] = "details";
//	should_pay
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "should_pay";
	$fdata["GoodName"] = "should_pay";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_for_purchasing","should_pay");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "should_pay";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "should_pay";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_for_purchasing["should_pay"] = $fdata;
		$tdatapayment_for_purchasing[".searchableFields"][] = "should_pay";
//	expen_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "expen_code";
	$fdata["GoodName"] = "expen_code";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_for_purchasing","expen_code");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "expen_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "expen_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_for_purchasing["expen_code"] = $fdata;
		$tdatapayment_for_purchasing[".searchableFields"][] = "expen_code";
//	salary_advance
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "salary_advance";
	$fdata["GoodName"] = "salary_advance";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_for_purchasing","salary_advance");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "salary_advance";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "salary_advance";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_for_purchasing["salary_advance"] = $fdata;
		$tdatapayment_for_purchasing[".searchableFields"][] = "salary_advance";
//	salary
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "salary";
	$fdata["GoodName"] = "salary";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_for_purchasing","salary");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "salary";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "salary";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_for_purchasing["salary"] = $fdata;
		$tdatapayment_for_purchasing[".searchableFields"][] = "salary";
//	acc_no
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "acc_no";
	$fdata["GoodName"] = "acc_no";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_for_purchasing","acc_no");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "acc_no";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "acc_no";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_for_purchasing["acc_no"] = $fdata;
		$tdatapayment_for_purchasing[".searchableFields"][] = "acc_no";
//	loan_no
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "loan_no";
	$fdata["GoodName"] = "loan_no";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_for_purchasing","loan_no");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "loan_no";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "loan_no";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_for_purchasing["loan_no"] = $fdata;
		$tdatapayment_for_purchasing[".searchableFields"][] = "loan_no";


$tables_data["Payment for purchasing"]=&$tdatapayment_for_purchasing;
$field_labels["Payment_for_purchasing"] = &$fieldLabelspayment_for_purchasing;
$fieldToolTips["Payment_for_purchasing"] = &$fieldToolTipspayment_for_purchasing;
$placeHolders["Payment_for_purchasing"] = &$placeHolderspayment_for_purchasing;
$page_titles["Payment_for_purchasing"] = &$pageTitlespayment_for_purchasing;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Payment for purchasing"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["Payment for purchasing"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_payment_for_purchasing()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	pur_id,  	amount,  	payment_type,  	cheque_number,  	cheque_date,  	date_time,  	outlet_code,  	branch_code,  	`user`,  	details,  	should_pay,  	expen_code,  	salary_advance,  	salary,  	acc_no,  	loan_no";
$proto0["m_strFrom"] = "FROM payment_for_pur";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment for purchasing"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "Payment for purchasing";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "pur_id",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment for purchasing"
));

$proto8["m_sql"] = "pur_id";
$proto8["m_srcTableName"] = "Payment for purchasing";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "amount",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment for purchasing"
));

$proto10["m_sql"] = "amount";
$proto10["m_srcTableName"] = "Payment for purchasing";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "payment_type",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment for purchasing"
));

$proto12["m_sql"] = "payment_type";
$proto12["m_srcTableName"] = "Payment for purchasing";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "cheque_number",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment for purchasing"
));

$proto14["m_sql"] = "cheque_number";
$proto14["m_srcTableName"] = "Payment for purchasing";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "cheque_date",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment for purchasing"
));

$proto16["m_sql"] = "cheque_date";
$proto16["m_srcTableName"] = "Payment for purchasing";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "date_time",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment for purchasing"
));

$proto18["m_sql"] = "date_time";
$proto18["m_srcTableName"] = "Payment for purchasing";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "outlet_code",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment for purchasing"
));

$proto20["m_sql"] = "outlet_code";
$proto20["m_srcTableName"] = "Payment for purchasing";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "branch_code",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment for purchasing"
));

$proto22["m_sql"] = "branch_code";
$proto22["m_srcTableName"] = "Payment for purchasing";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment for purchasing"
));

$proto24["m_sql"] = "`user`";
$proto24["m_srcTableName"] = "Payment for purchasing";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "details",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment for purchasing"
));

$proto26["m_sql"] = "details";
$proto26["m_srcTableName"] = "Payment for purchasing";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "should_pay",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment for purchasing"
));

$proto28["m_sql"] = "should_pay";
$proto28["m_srcTableName"] = "Payment for purchasing";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "expen_code",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment for purchasing"
));

$proto30["m_sql"] = "expen_code";
$proto30["m_srcTableName"] = "Payment for purchasing";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "salary_advance",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment for purchasing"
));

$proto32["m_sql"] = "salary_advance";
$proto32["m_srcTableName"] = "Payment for purchasing";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "salary",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment for purchasing"
));

$proto34["m_sql"] = "salary";
$proto34["m_srcTableName"] = "Payment for purchasing";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$obj = new SQLField(array(
	"m_strName" => "acc_no",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment for purchasing"
));

$proto36["m_sql"] = "acc_no";
$proto36["m_srcTableName"] = "Payment for purchasing";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
						$proto38=array();
			$obj = new SQLField(array(
	"m_strName" => "loan_no",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment for purchasing"
));

$proto38["m_sql"] = "loan_no";
$proto38["m_srcTableName"] = "Payment for purchasing";
$proto38["m_expr"]=$obj;
$proto38["m_alias"] = "";
$obj = new SQLFieldListItem($proto38);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto40=array();
$proto40["m_link"] = "SQLL_MAIN";
			$proto41=array();
$proto41["m_strName"] = "payment_for_pur";
$proto41["m_srcTableName"] = "Payment for purchasing";
$proto41["m_columns"] = array();
$proto41["m_columns"][] = "id";
$proto41["m_columns"][] = "pur_id";
$proto41["m_columns"][] = "amount";
$proto41["m_columns"][] = "payment_type";
$proto41["m_columns"][] = "cheque_number";
$proto41["m_columns"][] = "cheque_date";
$proto41["m_columns"][] = "date_time";
$proto41["m_columns"][] = "outlet_code";
$proto41["m_columns"][] = "branch_code";
$proto41["m_columns"][] = "user";
$proto41["m_columns"][] = "details";
$proto41["m_columns"][] = "should_pay";
$proto41["m_columns"][] = "expen_code";
$proto41["m_columns"][] = "salary_advance";
$proto41["m_columns"][] = "salary";
$proto41["m_columns"][] = "acc_no";
$proto41["m_columns"][] = "loan_no";
$obj = new SQLTable($proto41);

$proto40["m_table"] = $obj;
$proto40["m_sql"] = "payment_for_pur";
$proto40["m_alias"] = "";
$proto40["m_srcTableName"] = "Payment for purchasing";
$proto42=array();
$proto42["m_sql"] = "";
$proto42["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto42["m_column"]=$obj;
$proto42["m_contained"] = array();
$proto42["m_strCase"] = "";
$proto42["m_havingmode"] = false;
$proto42["m_inBrackets"] = false;
$proto42["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto42);

$proto40["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto40);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="Payment for purchasing";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_payment_for_purchasing = createSqlQuery_payment_for_purchasing();


	
		;

																	

$tdatapayment_for_purchasing[".sqlquery"] = $queryData_payment_for_purchasing;



$tableEvents["Payment for purchasing"] = new eventsBase;
$tdatapayment_for_purchasing[".hasEvents"] = false;

?>